import React from 'react';
import styles from './ChartList.module.scss';
import CreateChartModal from '../create-chart-modal/CreateChartModal';
import { useCharts } from '../../../../swr/chart';
import Loader from '../../../../components/page-content/loader/Loader';

const ChartList = (): JSX.Element => {
  const { charts, isLoading } = useCharts();

  if (isLoading) {
    return <Loader hasStartedLoading={true} isLoading={true} />;
  }

  return (
    <div className={styles.chartList}>
      <div className={styles.header}>
        <h1>Charts</h1>
        <CreateChartModal />
      </div>
      <hr />
      <ul>
        {charts.map((chart) => (
          <li key={chart.chartId}>
            <a href={`/chart/${chart.chartId}`}>
              {chart.name} (${chart.md5})
            </a>
          </li>
        ))}
      </ul>
    </div>
  );
};

export default ChartList;
